Bug 274221 - pykickstart traceback when trying to use revisor
pykickstart traceback when trying to use revisor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-01 20:33 EDT by David Cantrell
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 15:39:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pykickstart-1.10-fixie.patch (615 bytes, patch)
2007-09-01 20:42 EDT, David Cantrell
no flags Details | Diff

  None (edit)
Description David Cantrell 2007-09-01 20:33:39 EDT
bad: pykickstart crashed

# revisor
Traceback (most recent call last):
  File "/usr/sbin/revisor", line 269, in <module>
    base = revisor.base.RevisorBase(cfg = cfg, log = log)
  File "/usr/lib/python2.5/site-packages/revisor/base.py", line 56, in __init__
    self.cfg.setup_ks()
  File "/usr/lib/python2.5/site-packages/revisor/cfg.py", line 495, in setup_ks
    self.kshandler = pykickstart.version.makeVersion(pykickstart.version.DEVEL)
  File "/usr/lib/python2.5/site-packages/pykickstart/version.py", line 160, in
makeVersion
    return cl()
  File "/usr/lib/python2.5/site-packages/pykickstart/base.py", line 208, in __init__
    self._registerCommands(mapping=mapping)
  File "/usr/lib/python2.5/site-packages/pykickstart/base.py", line 272, in
_registerCommands
    from pykickstart.handlers.control import commandMap, dataMap
  File "/usr/lib/python2.5/site-packages/pykickstart/handlers/control.py", line
21, in <module>
    from pykickstart.commands import *
  File "/usr/lib/python2.5/site-packages/pykickstart/commands/__init__.py", line
24, in <module>
    import mouse, multipath, network, partition, raid, reboot, repo, rootpw
  File "/usr/lib/python2.5/site-packages/pykickstart/commands/network.py", line 304
    FC6_Network._populateParser(self, op):
                                         ^
SyntaxError: invalid syntax
Comment 1 David Cantrell 2007-09-01 20:42:03 EDT
I even made you a patch, fishbulb.
Comment 2 David Cantrell 2007-09-01 20:42:40 EDT
Created attachment 184721 [details]
pykickstart-1.10-fixie.patch

Note You need to log in before you can comment on or make changes to this bug.